framework:
  test: true
  cache:
    app: cache.adapter.array

  messenger:
    buses:
      messenger.bus.default:
        middleware:
          - WindBridges\MessengerEmergencyMode\Middleware\EmergencyModeMiddleware

    transports:
      async: test://

    routing:
      WindBridges\MessengerEmergencyModeTest\TestMessage: async

services:
  # default configuration for services in *this* file
  _defaults:
    autowire: true      # Automatically injects dependencies in your services.
    autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

  WindBridges\MessengerEmergencyModeTest\TestMessageHandler:
    tags:
      - { name: messenger.message_handler }